Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.component.html
Class HtmlHead

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.html.HtmlHead

All Implemented Interfaces:
  java.util.EventListener, PartialStateHolder, StateHolder, TransientStateHolder, ValueHolder, ComponentSystemEventListener, FacesListener, SystemEventListenerHolder

    public class HtmlHead

extends UIOutput

NONE

By default, the `rendererType` property must be set to "`javax.faces.Head`". This value can be changed by calling the `setRendererType()` method.

Nested Class Summary
`protected static class` | `HtmlHead.PropertyKeys`

Field Summary
`static java.lang.String` | `COMPONENT_TYPE` The standard component type for this component.

Fields inherited from class javax.faces.component.UIOutput
`COMPONENT_FAMILY`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`HtmlHead()`

Method Summary
`java.lang.String` | `getDir()` Return the value of the `dir` property.
`java.lang.String` | `getLang()` Return the value of the `lang` property.
`java.lang.String` | `getXmlns()` Return the value of the `xmlns` property.
`void` | `setDir(java.lang.String dir)` Set the value of the `dir` property.
`void` | `setLang(java.lang.String lang)` Set the value of the `lang` property.
`void` | `setXmlns(java.lang.String xmlns)` Set the value of the `xmlns` property.

Methods inherited from class javax.faces.component.UIOutput
`clearInitialState, getConverter, getFamily, getLocalValue, getValue, markInitialState, restoreState, saveState, setConverter, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

  The standard component type for this component.

  See Also:
    Constant Field Values

Constructor Detail

### HtmlHead

    public HtmlHead()

Method Detail

### getDir

    public java.lang.String getDir()

  Return the value of the `dir` property.

  Contents: Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left).

### setDir

    public void setDir(java.lang.String dir)

  Set the value of the `dir` property.

### getLang

    public java.lang.String getLang()

  Return the value of the `lang` property.

  Contents: Code describing the language used in the generated markup for this component.

### setLang

    public void setLang(java.lang.String lang)

  Set the value of the `lang` property.

### getXmlns

    public java.lang.String getXmlns()

  Return the value of the `xmlns` property.

  Contents:

  An XML Namespace to be passed through to the rendered element

### setXmlns

    public void setXmlns(java.lang.String xmlns)

  Set the value of the `xmlns` property.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.